### Method

# FwupdPlugin Device retry

since: 1.4.0

#### Declaration [src]

    gboolean
    fu_device_retry (
      FuDevice* self,
      FuDeviceRetryFunc func,
      guint count,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Calls a specific function a number of times, optionally handling the error with a reset action.

If `fu_device_retry_add_recovery()` has not been used then all errors are considered non-fatal until the last try.

If the reset function returns `FALSE`, then the function returns straight away without processing any pending retries.

Available since: 1.4.0

#### Parameters

`func`

  Type: `FuDeviceRetryFunc`

  A function to execute.

`count`

  Type: `guint`

  The number of tries to try the function.

`user_data`

  Type: `gpointer`

  A helper to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.